# snd_tplg_graph_elem Struct Reference
[Topology Interface]

Template type for single DAPM graph element. More...

## Data Fields

const char * | src
const char * | ctl
const char * | sink

## Detailed Description

Template type for single DAPM graph element.

## Field Documentation

const char* snd_tplg_graph_elem::ctl

control name or NULL if no control

const char* snd_tplg_graph_elem::sink

sink widget name

const char* snd_tplg_graph_elem::src

source widget name

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.0/include/topology.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines